<!--
 * @Descripttion: 
 * @version: 
 * @Author: auth
 * @Date: 2022-06-22 11:06:33
 * @LastEditors: auth
 * @LastEditTime: 2023-03-09 17:31:16
-->

# 组件名（以my-开头）
>my-prints-approvalform
```
<template>
  <div>
    <el-button @click="handlePreview">导出</el-button>
    <myPrintsApprovalform
      ref="printRef"
      :printConfig="print"
    ></myPrintsApprovalform>
  </div>
</template>
<script>
import myPrintsApprovalform from "src/packages/prints-approvalform/src/my-prints-approvalform.vue";
import { formList2, approvalList3 } from "./PrintPdfConfig";

export default {
  components: { myPrintsApprovalform },
  data() {
    return {
      print: {
        companyName:
          "公司名称公司名称公司名称公司名称公司名称公司名称公司名称公司名称公司名称",
        contractType: "£物资",
        contractName:
          "系统承揽合同系统承揽合同系统承揽合同系统承揽合同系统承揽合同系统承揽合同系统承揽合同系统承揽合同系统承揽合同系统承揽合同",
        party: "收入合同为甲方单位支出合同为乙方单位",
        contractSum: 12345678998.01,
        handleDeptName: "承办部门承办部门",
        handlerName: "经办人经办人",
        signReason: "",
        isTemplate: 1,
        remarks: "", //备注
        recordsData: [], // 审批记录
        bmldspForm: [], // 部门领导审批意见-承办部门
        hsspForm: [], // 会审部门意见
        flspForm:[],// 法律审核意见
        fgldspForm:[],// 分管领导审核-分管领导
        zjlspForm:[] // 总经理、法定代表人意见-总经理、单位负责人
      }
    };
  },
  computed: {},
  mounted() {
    this.print.recordsData = this.getApprovalList();
  },
  methods: {
    handlePreview() {
      console.log("print", this.$refs);
      this.$refs.printRef.showPreview();
    },
    getform() {
      formList2.time = formList2.time.split(" ")[0];
      return formList2;
    },
    getTitle() {
      return `${formList2.typeName}`;
    },
    getApprovalList() {
      return approvalList3;
    }
  }
};


```

### **printConfig-Attributes**
属性|说明|类型|可选值|默认值
:-|:-|:-|:-|:-
printConfig|数据源|Object|-|title: "审签表", 
dialog|弹窗属性选择，当printConfig不传dialog相关配置时默认内置属性|Object|-|{ title: "导出预览", visible: false, dialogWidth: "85%"}
||||

### **printConfig-child-Attributes**
>printConfig有的属性：

属性|说明|类型|可选值|默认值
:-|:-|:-|:-|:-
companyName|审签表的公司名称标题|String|-|审签表
contractType|合同类型|String|-|-
contractName|合同名称|String|-|-
party|收入为甲方单位名称（签订对象）|String|-|-
contractSum|合同金额|Number|-|null
handleDeptName|承办部门|String|-|-
handlerName|经办人|String|-|-
signReason|签订事由|String|-|-
isTemplate|是否范本|number|-|0
recordsData|审批记录|Array|-|[{}]
||||

### **printConfig-footConfig-list-Attributes**
```
// 举例审批：approver
 approver: {
    show: true, //是否显示
    labelName: "批准",
    keyName: "userName", // 姓名
    timeName: "endTime", // 日期
    fullMsg: "审批",
    taskName: "物流部采购员采购"
},
```


### **events**
事件|说明|回调参数
:-|:-|:-
handlePreview|调起弹窗事件，通过$refs调起即可|-
closePreview|关闭弹窗事件|-
formatDateCn|将日期转化为中文格式年月日，内置事件转换|targetDate：日期时间
handleToPrint|打印事件，内置事件|-
intToChinese|数字转中文，内置事件|-

||

### **slot**
name|说明
:-|:-
modal-body| 具名插槽，可自定义表单内容
modal-footer| 具名插槽，可自定义表单按钮
slotName|不具名插槽，可自定义其余内容，table外的内容
slotNameTr|不具名插槽，可自定义其余内容，table内的自定义
|
