/*
 * @Descripttion: 
 * @version: 
 * @Author: auth
 * @Date: 2022-08-17 15:29:35
 * @LastEditors: auth
 * @LastEditTime: 2022-08-17 15:48:10
 */
// import { Message } from "element-ui";
function install(Vue) {
    // 输入框校验-只能输入数字
    Vue.directive("limitInputOnlyNumber", {
        bind(el) {
            el.oninput = () => {
                el.children[0].value = el.children[0].value.replace(/\D/g, "");
            };
        }
    });
    // 身份证号 \d{17}[\d|x]|\d{15}
    Vue.directive("limitInputIdCard", {
        bind(el) {
            el.onkeyup = () => {
                let str = el.children[0].value.replace(/[^\d{17}X|x|\d]/, "");
                // console.log(!str);
                el.children[0].value = str;
                // console.log("==el.children[0].value", el.children[0].value);
                el.children[0].dispatchEvent(new Event("input"));
            };
        }
    });
    // 手机号
    Vue.directive("limitInputPhone", {
        bind(el) {
            el.oninput = () => {
                el.children[0].value = el.children[0].value.replace(
                    /[^13|14|15|16|17|18|19(\d{9})]/g,
                    ""
                );
                el.children[0].dispatchEvent(new Event("input"));
            };
        }
    });
}
export default {
    install
};