/*
 * @Descripttion:
 * @version:
 * @Author: auth
 * @Date: 2022-06-13 12:24:17
 * @LastEditors: auth
 * @LastEditTime: 2022-06-13 12:25:47
 */
// const NODE_ENV = process.env.NODE_ENV;
// const path = require("path");
// function resolve(dir) {
//   return path.join(__dirname, dir);
// }

// console.log('process.env.NODE_ENV', process.env.NODE_ENV);
const path = require("path");
function resolve (dir) {
  return path.join(__dirname, dir);
}
module.exports = {
  productionSourceMap: false,
  publicPath: "/component-library/",
  //   outputDir: "my-component-ui" //build输出目录
  runtimeCompiler: true,
  devServer: {
    open: true,
    host: "0.0.0.0",
    port: "9020",
    hotOnly: true
  },
  chainWebpack: config => {
    config.resolve.alias
      .set("src", resolve("src"))
      .set("components", resolve("src/components"));
    // config.plugin("html").tap(arg => {
    //   console.log("arg--", arg);
    //   arg[0].title = process.env.VUE_APP_METATITLE || "";
    //   return arg;
    // });
  },
  configureWebpack: config => {
    if (process.env.NODE_ENV === "production") {
      // console.log('config===', config);
      config.optimization.minimizer.map(arg => {
        const option = arg.options.terserOptions.compress;
        option.drop_console = true;
        return arg;
      });
    }
  }
};
