# map-guangdong
### **map-guangdong 调用方式**
> 此组件基于echarts二次封装,适用于广东地图展示，点击相应市级，可进入对应市级地图，点击空白区域即可返回
``` Vue

```

### **Attributes**
> `mapCharts <Object>`

属性|说明|类型|可选值|默认值
:-|:-|:-|:-|:-
labelShow|文本标签是否显示|Boolean|true / false|false
emphasisShow|高亮状态时文本标签是否显示|Boolean|true / false|false
selectShow|选中时文本标签是否显示|Boolean|true / false|false
markPointData|标注数组|Array|-|-
symbolImg|标注的图形，参考：https://echarts.apache.org/zh/option.html#series-map.markPoint.symbol|String / Function|-|-
symbolLabelImg|标注的文本标签的背景图，参考https://echarts.apache.org/zh/option.html#series-map.markPoint.label.backgroundColor|String|-|-
geoColor|底层geo地图颜色|String|-|#c42c18
mapColor|上层series地图颜色|String|-|#ed6964
mapEmphasisColor|上层series地图高亮颜色|String|-|#ff8800
mapSelectColor|上层series地图选中颜色|String|-|#ffcb59
mapZoom|视角缩放比例|Number|-|1

> `mapCharts.markPointData <Array<Object>>`

属性|说明|类型|可选值|默认值
:-|:-|:-|:-|:-
name|标注名称|String|-|-
coord|标注坐标|[num, num]|-|-
symbolSize|标记的大小，若为数组，第一位为宽，第二位为高|number / Array|-|-
position|标签的位置|String / Array |-|-
symbolImg|单个标注的图形，优先级高于mapCharts.symbolImg / Function|-|-
symbolLabelImg|单个标注的文本标签的背景图，优先级高于mapCharts.symbolLabelImg|String|-|-

### **events**
事件|说明|回调参数
:-|:-|:-
mapClick|地图点击事件|params