export const downFile = (file, fileName, type) => {
  const blob = new Blob([file], { type: type });
  const urlData = window.URL.createObjectURL(blob);
  let link = document.createElement("a");
  link.style.display = "none";
  link.href = urlData;
  link.setAttribute("download", fileName);
  document.body.appendChild(link);
  link.click();
};
//
