import myDialog from "./dialog";
import myMenus from "./menus";
import myTable from "./table";
import myForm from "./form";
import myHeader from "./header";
import myEcharts from "./echarts";
import myBanner from "./banner";
import myPrint from "./print";
import myForms from "./xForm";
import myInput from "./xInput";
import mySelect from "./xSelect";
import myDatePicker from "./xDatePicker";
import myDaterange from "./xDaterange";
import myAutocomplete from "./xAutocomplete";
import myCascader from "./xCascader";
import myCheckbox from "./xCheckbox";
import myColorPicker from "./xColorPicker";
import myInputNumber from "./xInputNumber";
import myRadio from "./xRadio";
import myRate from "./xRate";
import mySlider from "./xSlider";
import mySwitch from "./xSwitch";
import myTimePicker from "./xTimePicker";
import myTimeSelect from "./xTimeSelect";
import myTransfer from "./xTransfer";
import myTree from "./xTree";
import mySelectTree from "./xSelectTree";
import myProgress from "./xProgress";
import myUpload from "./xUpload";
import myButton from "./xButton";
import myTabs from "./xTabs";
import myTables from "./xTable";
import myTablesTree from "./xTableTree";
import myDrag from "./xDrag";
import myPrints from "./prints";
import myWatermark from "./watermark";
import myPrintsLetter from "./prints-letter";
import myPrintsSubtotal from "./prints-subtotal";
import myPrintsApprovalform from "./prints-approvalform";



const components = [
  myDialog,
  myMenus,
  myTable,
  myForm,
  myHeader,
  myEcharts,
  myBanner,
  myPrint,
  myForms,
  myInput,
  mySelect,
  myDatePicker,
  myDaterange,
  myAutocomplete,
  myCascader,
  myCheckbox,
  myColorPicker,
  myInputNumber,
  myRadio,
  myRate,
  mySlider,
  mySwitch,
  myTimePicker,
  myTimeSelect,
  myTransfer,
  myTree,
  mySelectTree,
  myProgress,
  myUpload,
  myButton,
  myTabs,
  myTables,
  myTablesTree,
  myDrag,
  myPrints,
  myWatermark,
  myPrintsLetter,
  myPrintsSubtotal,
  myPrintsApprovalform
];
const install = function(Vue, options) {
  // console.log("options", options);
  Vue.config.$selfOptions = options;
  // Vue.prototype.$selfOptions = options;
  components.forEach(component => {
    Vue.component(component.name, component);
  });
};
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}
export default {
  install,
  myDialog,
  myMenus,
  myTable,
  myForm,
  myHeader,
  myEcharts,
  myBanner,
  // myPrint,
  myForms,
  myInput,
  mySelect,
  myDatePicker,
  myAutocomplete,
  myCascader,
  myCheckbox,
  myColorPicker,
  myInputNumber,
  myRadio,
  myRate,
  mySlider,
  mySwitch,
  myTimePicker,
  myTimeSelect,
  myTransfer,
  myTree,
  mySelectTree,
  myProgress,
  myUpload,
  myButton,
  myTabs,
  myTables,
  myTablesTree,
  myDrag,
  myPrints,
  myWatermark,
  myPrintsLetter,
  myPrintsSubtotal,
  myPrintsApprovalform
};
