/*
 * @Descripttion: 
 * @version: 
 * @Author: auth
 * @Date: 2022-08-11 14:55:28
 * @LastEditors: auth
 * @LastEditTime: 2022-08-11 18:32:39
 */
// import { Loading } from 'element-ui';
import html2Canvas from 'html2canvas';
 
import JsPDF from 'jspdf';
const htmlPdf = {
  getPdf(title, html) {
    // let loadingInstance = Loading.service({
    //     // lock: true,
    //     // text: '正在生成...',
    //     // spinner: 'el-icon-loading',
    //     // background: 'rgba(0, 0, 0, 0.7)'
    // })
    html2Canvas(html, {
      allowTaint: false, // 是否允许跨原始图像污染画布
      taintTest: false, // 是否在绘制前测试每个图像是否污染画布
      logging: false, // 启用日志记录以进行调试
      useCORS: true, // 是否尝试使用cors从服务器加载图像
      dpi: window.devicePixelRatio * 4, // 将分辨率提高到特定的DPI 提高四倍
      scale: 4, // 按比例增加分辨率
    }).then(canvas => {
        var pdf = new JsPDF('l', 'mm', 'a4'); // A4纸，纵向p,横向l
        var ctx = canvas.getContext('2d');
        var a4w = 277; var a4h = 190; // A4大小，210mm x 297mm，四边各保留10mm的边距，显示区域190x277
        var imgHeight = Math.floor(a4h * canvas.width / a4w); // 按A4显示比例换算一页图像的像素高度
        var renderedHeight = 0; // 内容高度
        while (renderedHeight < canvas.height) { // 内容高度小于话不高度
        var page = document.createElement("canvas");
            page.width = canvas.width;
            page.height = Math.min(imgHeight, canvas.height - renderedHeight);// 可能内容不足一页
    
            // 用getImageData剪裁指定区域，并画到前面创建的canvas对象中
            page.getContext('2d').putImageData(ctx.getImageData(0, renderedHeight, canvas.width, Math.min(imgHeight, canvas.height - renderedHeight)), 0, 0);
            pdf.addImage(page.toDataURL('image/jpeg', 1.0), 'JPEG', 10, 10, a4w, Math.min(a4h, a4w * page.height / page.width)); // 添加图像到页面，保留10mm边距
    
            renderedHeight += imgHeight;
            console.log('renderedHeight',renderedHeight,imgHeight);
            if (renderedHeight < canvas.height) {
                pdf.addPage();// 如果后面还有内容，添加一个空页
            }
            // delete page;
        }
        // Loading.close()
        // 保存文件
        pdf.save(title + '.pdf');

    //   var pdf = new JsPDF('p', 'mm', 'a4'); // A4纸，纵向p,横向l
    //   var ctx = canvas.getContext('2d');
    //   var a4w = 190; var a4h = 277; // A4大小，210mm x 297mm，四边各保留10mm的边距，显示区域190x277
    //  var imgHeight = Math.floor(a4h * canvas.width / a4w); // 按A4显示比例换算一页图像的像素高度
    //   var renderedHeight = 0;
    //   while (renderedHeight < canvas.height) {
    //    var page = document.createElement("canvas");
    //     page.width = canvas.width;
    //     page.height = Math.min(imgHeight, canvas.height - renderedHeight);// 可能内容不足一页
 
    //     // 用getImageData剪裁指定区域，并画到前面创建的canvas对象中
    //     page.getContext('2d').putImageData(ctx.getImageData(0, renderedHeight, canvas.width, Math.min(imgHeight, canvas.height - renderedHeight)), 0, 0);
    //     pdf.addImage(page.toDataURL('image/jpeg', 1.0), 'JPEG', 10, 10, a4w, Math.min(a4h, a4w * page.height / page.width)); // 添加图像到页面，保留10mm边距
 
    //     renderedHeight += imgHeight;
    //     if (renderedHeight < canvas.height) {
    //       pdf.addPage();// 如果后面还有内容，添加一个空页
    //     }
    //     // delete page;
    //   }
    //   // 保存文件
    //   pdf.save(title + '.pdf');
    });
  },
};
 
export default htmlPdf;
