export function getNum(value) {
  value = value.replace(/[^\d.]/g, ""); // 清除"数字"和"."以外的字符
  value = value.replace(/^\./g, ""); // 验证第一个字符是数字而不是.
  value = value.replace(/\.{2,}/g, "."); // 只保留第一个. 清除多余的
  value = value
    .replace(".", "$#$")
    .replace(/\./g, "")
    .replace("$#$", "."); // 保证.只出现一次，而不能出现两次以上
  value = (+value).toFixed(2);
  return value;
}
export function formatAmount(value) {
  let retVlaue = getNum(value);
  // 只能输入两个小数
  let left = format_number(retVlaue.split(".")[0]),
    right = retVlaue.split(".")[1];
  retVlaue = left + "." + right;
  return retVlaue;
}

function format_number(n) {
  var b = parseInt(n).toString();
  var len = b.length;
  if (len <= 3) {
    return b;
  }
  var r = len % 3;
  return r > 0
    ? b.slice(0, r) +
        "," +
        b
          .slice(r, len)
          .match(/\d{3}/g)
          .join(",")
    : b
        .slice(r, len)
        .match(/\d{3}/g)
        .join(",");
}
