/*
 * @Descripttion:
 * @version:
 * @Author: auth
 * @Date: 2021-07-26 14:09:30
 * @LastEditors: auth
 * @LastEditTime: 2023-02-02 14:41:35
 */
import Vue from "vue";
import VueRouter from "vue-router";
import Home from "../views/Home.vue";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    name: "Home",
    component: Home,
    children: [
      {
        path: "dialog",
        name: "Dialog",
        component: () => import("../views/Dialog.vue")
      },
      {
        path: "menus",
        name: "Menus",
        component: () => import("../views/Menus.vue")
      },
      {
        path: "xForm",
        name: "xForm",
        component: () => import("../views/xForm.vue")
      },
      {
        path: "xTables",
        name: "xTables",
        component: () => import("../views/xTables.vue")
      },
      {
        path: "roleresource",
        name: "Menus",
        component: () => import("../views/Menus.vue")
      },
      {
        path: "menus22",
        name: "Menus",
        component: () => import("../views/Menus.vue")
      },
      {
        path: "roleresource4",
        name: "Menus",
        component: () => import("../views/Menus.vue")
      },
      {
        path: "roleadd",
        name: "Menus",
        component: () => import("../views/Menus.vue")
      },
      {
        path: "table",
        name: "Table",
        component: () => import("../views/Table.vue")
      },
      {
        path: "testform",
        name: "testform",
        component: () => import("../views/Testform.vue")
      },
      {
        path: "echarts",
        name: "echarts",
        component: () => import("../views/Echarts.vue")
      },
      {
        path: "myBanner",
        name: "MyBanner",
        component: () => import("../views/Banner.vue")
      },
      {
        path:'print-pdf',
        name: 'MyPrintPdf',
        component:()=>import('../views/PrintPdf')
      },
      {
        path:'prints-letter',
        name: 'MyPrintsLetter',
        component:()=>import('../views/PrintsLetter')
      },
      {
        path:'watermark',
        name: 'Watermark',
        component:()=>import('../views/Watermark')
      },
      {
        path:'prints-subtotal',
        name: 'PrintsSubtotal',
        component:()=>import('../views/PrintsSubtotal')
      },
      {
        path:'prints-approvalform',
        name: 'PrintsApprovalform',
        component:()=>import('../views/PrintsApprovalform')
      },
    ]
  }
];

const router = new VueRouter({
  routes
});
const VueRouterPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(to) {
  return VueRouterPush.call(this, to).catch(err => err);
};
export default router;
